"""Setup for done s3clone."""

import os
from setuptools import setup


def package_data(pkg, root):
    """Generic function to find package_data for `pkg` under `root`."""
    data = []
    for dirname, _, files in os.walk(os.path.join(pkg, root)):
        for fname in files:
            data.append(os.path.relpath(os.path.join(dirname, fname), pkg))

    return {pkg: data}


setup(
    name='s3clone',
    version='1.0',
    description='Clone from an S3 bucket',
    packages=[
        's3clone',
    ],
    install_requires=[
        'boto',
    ],
    scripts=["s3clone/s3clone"]
)
